Subject: Re: Can't use gitk.

From: Andreas Ericsson <[email-masked]>
Date: Mon, 14 Nov 2005 12:42:41 +0100

Franck wrote:
> Hi Andrea

Not sure why, but 85% of all people replying to me by email refer to me 
as "Andrea". Sort of cute I suppose, although I'm somewhat lacking in 
the TnA department.

> 2005/11/14, Andreas Ericsson <[email-masked]>:
> 
>>Franck wrote:
>>
>>>Hi,
>>>
>>>I'm trying to use gitk --all command but it fails like this:
>>>
>>>"""
>>>Error executing git-rev-list: couldn't execute "git-rev-list": no such
>>>file or directory
>>>"""
>>>
>>
>>Is git-rev-list in your $PATH?
> 
> 
> yes:
>             # git-rev-list HEAD

This seems to imply you're running git-rev-list as root. The default 
installation directory for git is $HOME/bin which might not necessarily 
be in the $PATH once "wish" and friends have had their say.

>             3f1d5f26509defe2f691f5e94a2848848d1ba3a0
>             cd9a0ae21e015cc25a0ea98169451a59d49c0909
>             538310ad38629a1c1f983d982e52b568bc1dbe79
> 
> 
>>Did you compile (and/or install) with
>>
>>        make NO_OPENSSL=YesPlease
>>        make NO_OPENSSL=YesPlease install
>>
> 
> 
> nope I just did: "make; make install". I tried what you suggested but
> it's still failing the same way...
> 

So your binaries are installed in $HOME/bin then?

> 
>>Do other git commands work?
>>
> 
> 
> yes, at least some other commands like git-diff-xxx, git-checkout....
> 

Are you running all commands as the same user?

> 
>>>I'm running git on a fedora core 3. Can anybody give me some help ?
>>>
>>
>>Trying to, but a bit more verbosity in the error report wouldn't hurt.
>>
> 
> 
> I'm usig git v0.99.9h
> 

You could try installing from RPM. It should work nicely for all users.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231